#########################################################################
# Copyright © 2018   Thomas Bellman, Linköping, Sweden
# Licensed under the GNU LGPL v3+; see the README file for more information.


%define plugindir  %{_libdir}/nagios/plugins
%define mibdir     %{_datadir}/mibs/ietf

Name:		nagios-plugins-trh
Version:	0.30
Release:	1%{?dist}
Summary:	A collection of Nagios plugins, especially network related.
Vendor:		Thomas Bellman
Group:		Applications/System

License:	GPLv3+
URL:		https://git.lysator.liu.se/bellman/nagios-plugins-trh

Source0:	%{name}-%{version}.tar.gz
BuildRequires:	python2 >= 2.6
BuildRequires:	make
BuildArch:	noarch

Requires:	nagios-common
Requires:	python2 >= 2.6
Requires:	net-snmp-python
Requires:	python-ipaddr
# net-snmp-libs and libsmi contain needed MIB files
Requires:	net-snmp-libs, libsmi
Requires:	fping


%description
A collection of (mostly network-related) Nagios plugins.


%prep
%setup -q

%build
make  prefix=%{_prefix} plugindir=%{plugindir} mibdir=%{mibdir}

%install
rm -rf "$RPM_BUILD_ROOT"
make install  DESTDIR="$RPM_BUILD_ROOT" \
    prefix=%{_prefix} plugindir=%{plugindir} mibdir=%{mibdir}
# XXX: Ugly hack: disable automatic Python byte compilation, since our
# Makefile does it for us.  This disables all /usr/lib/rpm/brp-* scripts.
exit $?

%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%{plugindir}/*
%{mibdir}/*
%doc README COPYING COPYING.LIB


%changelog
* Thu Jan  3 2019  Thomas Bellman <bellman@lysator.liu.se> - 0.30-1
- Update to version 0.30-1, with new plugin check_ping_multiaddr.

* Fri Sep  7 2018  Thomas Bellman <bellman@lysator.liu.se> - 0.20-1
- Package installed MIB files.
- Install README and COPYING files.
- Update to version 0.20-1.

* Wed Jul 25 2018  Thomas Bellman <bellman@lysator.liu.se> - 0.00-1
- Initial RPM build.
